module.exports = (sequelize, DataTypes) => {
	const BusStops = sequelize.define(
		'BusStops',
		{
			id: {
				type: DataTypes.UUID,
				defaultValue: DataTypes.UUIDV4,
				allowNull: false,
				primaryKey: true,
			},
			name: {
				type: DataTypes.STRING,
				allowNull: false,
			},
			location: {
				type: DataTypes.TEXT,
				allowNull: false,
			},
			longitude: {
				type: DataTypes.DECIMAL(11, 8),
				allowNull: false,
			},
			latitude: {
				type: DataTypes.DECIMAL(10, 8),
				allowNull: false,
			},
		},
		{
			tableName: 'bus_stops',
			timestamps: false,
		},
	);

	return BusStops;
};
